Create Campaign

Create a Campaign by providing details like name, budget details, targeting settings, creatives details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prequisites for Campaign creation

  1. App/Website Object: an entity representing the App or a Website that is being advertised
  2. Order
  3. Creative - a combination of Asset File, Tracker Asset and some additional settings like size (for HTML creatives), whether it is rewarded etc. The steps to create a creative are:
    1. File Upload
    2. Create asset file
    3. Create creative
  4. The following things are optional for a campaign and can be used as a blacklist or whitelist:
    1. First Party Audience and Custom Audience: a list of device IDs

      Note: Audience whitelist is required when creating campaigns with objective: 're_engagement'. At least one audience must be whitelisted for re_engagement campaigns.

    2. App List: a list of publisher apps (specified by App Bundles or Placement IDs)

    3. IP List: a list of IP addresses. Needs to be a CSV uploaded to our CDN (you must use content_type text/csv when uploading file to our CDN)

Examples

Below are some examples of how to extend payload to use different settings in the campaign.

Budget / App Diversity

For CPM/CPC campaigns (campaign_type is cpm or cpc)

"optimization": {
    "app_diversity": "on",
    "app_budget_percentage": "25"
}

For CPI campaigns (campaign_type is cpi, cpi_alpha or cpa_rt)

"optimization": {
    "app_diversity": "on",
    "app_budget_percentage": "11",
    "cpi_algo_state_allowed": "exploit"
}

Targeting > Platform (OS Version targeting)

Targeting All OS Versions for Android:

{
  "targeting": {
    "os_versions": {
      "type": "all",
      "versions": [
        {"os_id": 11, "values": [{ "min": 0, "max": 999999999 }]}
      ]
    }
  }
}

Possible values for os_id are:

  • 3 if need to target iOS and Android. You cannot use this value if Order has Mobile Object.
  • 11 when targeting Android
  • 12 when targeting iOS.

Range of OS Version

{
  "targeting": {
    "os_versions": {
      "type": "range",
      "versions": [
        { "os_id": 11, "values": [ { "min": 131, "max": 134 } ] }
      ]
    }
  }
}

All items in values must be IDs from OS Versions.

Specific OS Versions

{
  "targeting": {
    "os_versions": {
      "type": "specific",
      "versions": [
        { "os_id": 11, "values": [ 134, 90 ] }
      ]
    }
  }
}

All items in values must be IDs from OS Versions.

Targeting > Smart App Categories

{
  "targeting": {
    "taxons": [
      {"category_id": 17, "genre_id": 3, "subgenre_id": 3},
      {"category_id": 15, "genre_id": 25, "subgenre_id": 79},
      {"category_id": 12, "genre_id": 41, "subgenre_id": 3}
    ]
  }
}

Value 3 means "all". In above example

  • {"category_id": 17, "genre_id": 3, "subgenre_id": 3} we are targeting all genres of category with id 17,
  • {"category_id": 12, "genre_id": 41, "subgenre_id": 3} - target all subgenres of genre with id 41.

Use List Smart App Categories API to get list of possible values.

Body Params
data
object

Campaign data

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json